#!/usr/bin/env sh

if [ "$EUID" -ne 0 ]; then
  echo "Please run as root"
  exit
fi

# Add contrib, non-free and non-free-firmware to the sources
echo "INFO: ####################### Add contrib, non-free and non-free-firmware to the sources #######################"
if [ $1 -eq "-i" ];then
  echo "INFO: ctrl+c to stop the script"
  read -p "Press any key to start the current step..."
fi
cat << END_OF_FILE > /etc/apt/sources.list
deb https://deb.debian.org/debian bookworm main contrib non-free non-free-firmware
deb-src https://deb.debian.org/debian bookworm main contrib non-free non-free-firmware

deb https://security.debian.org/debian-security bookworm-security main contrib non-free non-free-firmware
deb-src https://security.debian.org/debian-security bookworm-security main contrib non-free non-free-firmware

deb https://deb.debian.org/debian bookworm-updates main contrib non-free non-free-firmware
deb-src https://deb.debian.org/debian bookworm-updates main contrib non-free non-free-firmware
END_OF_FILE

# Add multi-arch support
echo "INFO: ####################### Add multi-arch support #######################"
if [ $1 -eq "-i" ];then
  echo "INFO: ctrl+c to stop the script"
  read -p "Press any key to start the current step..."
fi
dpkg --add-architecture i386

# Update apt sources
echo "INFO: ####################### Update apt sources #######################"
if [ $1 -eq "-i" ];then
  echo "INFO: ctrl+c to stop the script"
  read -p "Press any key to start the current step..."
fi
apt-get update

# Upgrade upgradeable packages
echo "INFO: ####################### Upgrade upgradeable packages #######################"
if [ $1 -eq "-i" ];then
  echo "INFO: ctrl+c to stop the script"
  read -p "Press any key to start the current step..."
fi
apt-get upgrade --yes

# Install packages
echo "INFO: ####################### Install packages #######################"
if [ $1 -eq "-i" ];then
  echo "INFO: ctrl+c to stop the script"
  read -p "Press any key to start the current step..."
fi
apt-get install --yes gnome-core gnome-connections gnome-text-editor gnome-disk-utility gnome-passwordsafe gnome-feeds vim curl chromium dropbear dropbear-initramfs steam-installer wine wine64 protontricks pcsx2 openjdk-17-jre flatpak gnome-software-plugin-flatpak git python3 python3-venv qemu-kvm virt-manager nvidia-driver tmux apostrophe

# Install Proton-GE
echo "INFO: ####################### Install Proton-GE #######################"
if [ $1 -eq "-i" ];then
  echo "INFO: ctrl+c to stop the script"
  read -p "Press any key to start the current step..."
fi
wget -q -O - https://git.adrianux.net/ahoemann/Setup-Scripts/raw/branch/main/proton/proton-ge-setup.sh | bash

# Setup Flatpak repo
echo "INFO: ####################### Setup Flatpak repo #######################"
if [ $1 -eq "-i" ];then
  echo "INFO: ctrl+c to stop the script"
  read -p "Press any key to start the current step..."
fi
flatpak remote-add --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
flatpak install --assumeyes --noninteractive flathub org.telegram.desktop flathub com.usebottles.bottles
flatpak override --filesystem=host

# Install NordVPN
echo "INFO: ####################### Install NordVPN #######################"
if [ $1 -eq "-i" ];then
  echo "INFO: ctrl+c to stop the script"
  read -p "Press any key to start the current step..."
fi
sh <(curl -sSf https://downloads.nordcdn.com/apps/linux/install.sh)

